package com.alivc.rtc.linux;

public interface AliRTCLinuxEngineListener {

    void onError(int error_code);

    void onWarning(int warning_code);

    void onJoinChannelResult(int result);

    void onLeaveChannelResult(int result);

    void onRemoteUserOnLineNotify(String uid);

    void onRemoteUserOffLineNotify(String uid);

    void onPublishChangedNotify(int result, boolean isPublished);

    void onAudioFrameReceived(AliRTCLinuxEngine.AudioFrame frame);

    void onVideoFrameReceived(String uid, AliRTCLinuxEngine.VideoFrame frame);
}
